<script lang="ts" setup>
import MessageDialog from '@/components/Dialog/MessageDialog.vue'
import MainHeader from '@/components/Header/MainHeader.vue'
import MainFooter from '@/components/Footer/MainFooter.vue'
import MainMenu from '@/components/Menu/MainMenu.vue'
import { useFormStore } from '@/stores/form'
import { onMounted } from 'vue'

import AddFormDialog from './AddFormDialog.vue'
import { mdiPlus, mdiCloseBoxOutline, mdiClose } from '@mdi/js'
const formStore = useFormStore()
onMounted(async () => {
  await formStore.getForms()
})
</script>
<template>
  <AddFormDialog></AddFormDialog>
  <MessageDialog></MessageDialog>
  <v-app>
    <MainHeader></MainHeader>
    <MainMenu></MainMenu>

    <v-container
      ><v-row>
        <v-col cols="10">
          <v-tabs v-model="formStore.selectedForm" style="color: black">
            <v-tab v-for="form of formStore.forms" :key="form.form_id" :value="form.form_id">
              {{ form.form_name }}
              <v-btn
                :icon="mdiCloseBoxOutline"
                variant="text"
                @click="formStore.delForm(form)"
                color="red"
              ></v-btn>
            </v-tab>
          </v-tabs>
        </v-col>
        <v-col cols="2">
          <v-btn
            :prepend-icon="mdiPlus"
            class="mt-2"
            style="font-weight: bold; color: #8c122a"
            variant="plain"
            height="48px"
            @click="formStore.addFormDialog = true"
          >
            เพิ่มหัวข้อแบบประเมิน</v-btn
          >
        </v-col>
      </v-row>
      <v-divider style="background-color: #8c122a"></v-divider>

      <v-row>
        <v-col cols="5" class="pr-1 mt-2">
          <v-text-field v-model="formStore.newQuestion" label="เพิ่มคำถาม"></v-text-field>
        </v-col>
        <v-col class="pl-0">
          <v-btn
            variant="text"
            class="mt-2 ml-0"
            style="font-weight: 900; font-size: 25px"
            @click="formStore.addQuestion()"
            :icon="mdiPlus"
          ></v-btn>
        </v-col>
      </v-row>
      <v-window v-model="formStore.selectedForm">
        <v-window-item v-for="form of formStore.forms" :key="form.form_id" :value="form.form_id">
          <v-table style="width: 450px">
            <tbody>
              <tr v-for="question of form.questions" :key="question.ques_id">
                <td>{{ question.ques_question }}</td>
                <td width="10px">
                  <v-btn @click="formStore.delQuestion(question)" color="red"
                    ><v-icon>{{ mdiClose }}</v-icon></v-btn
                  >
                </td>
              </tr>
            </tbody>
          </v-table>
        </v-window-item>
      </v-window></v-container
    >
  </v-app>
  <MainFooter></MainFooter>
</template>
<style scoped>
.v-table {
  border-spacing: 1;
  border-collapse: collapse;
  background: #826f66;
  border-radius: 8px;
  overflow: hidden;
  max-width: 100vw;
  width: 100%;
  margin: 0;
  position: relative;
}

.v-table tbody tr:nth-child(even) {
  background: #ffffff;
}

.v-table tbody tr:nth-child(odd) {
  background: #efefef;
}
</style>
